array
asort
Array Functions
PHP Manual

# arsort

(PHP 4, PHP 5)

arsort — Sort an array in reverse order and maintain index association

### Description

bool arsort ( array `&$array` [, int `$sort_flags` = SORT_REGULAR ] )

This function sorts an array such that array indices maintain their correlation with the array elements they are associated with.

This is used mainly when sorting associative arrays where the actual element order is significant.

### Parameters

`array`

  The input array.

`sort_flags`

  You may modify the behavior of the sort using the optional parameter `sort_flags`, for details see sort().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 arsort() example

`<?php
$fruits = array("d" => "lemon", "a" => "orange", "b" => "banana", "c" => "apple");
arsort($fruits);
foreach ($fruits as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    a = orange
    d = lemon
    b = banana
    c = apple

The fruits have been sorted in reverse alphabetical order, and the index associated with each element has been maintained.

### See Also

- asort() - Sort an array and maintain index association
- The comparison of array sorting functions

array
asort
Array Functions
PHP Manual